Package org.eclipse.graphiti.features.context.impl

# Class MultiDeleteInfo

java.lang.Object
org.eclipse.graphiti.features.context.impl.MultiDeleteInfo

All Implemented Interfaces:
  `IMultiDeleteInfo`

public class MultiDeleteInfo extends Object implements IMultiDeleteInfo
Can be used to pass the information if a popup shall be shown or of a multi delete has been cancelled by the user to the next delete steps. See `IDeleteContext.getMultiDeleteInfo()`.

## Constructor Summary

Constructors
Constructor
Description
`MultiDeleteInfo(boolean showDialog, boolean deleteCanceled, int number)`
Creates a new instance with the given settings.

## Method Summary

Modifier and Type
Method
Description
`int`
`getNumber()`
Returns the number of elements which are selected for deletion.
`boolean`
`isDeleteCanceled()`
Returns the state whether delete has been canceled or not.
`boolean`
`isShowDialog()`
Returns whether a dialog can be shown or should be suppressed.
`void`
`setDeleteCanceled(boolean deleteCanceled)`
Sets the state whether delete has been canceled or not.
`void`
`setShowDialog(boolean showDialog)`
Sets whether a dialog can be shown or should be suppressed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MultiDeleteInfo

public MultiDeleteInfo(boolean showDialog, boolean deleteCanceled, int number)
Creates a new instance with the given settings.

Parameters:
  `showDialog` - Determines if a "Are you sure" popup will be shown or not
  `deleteCanceled` - Determines if cancellation happened
  `number` - Provides information on the number of objects to delete; the number will be shown in the popup if displayed.

## Method Details

### isShowDialog

public boolean isShowDialog()
Description copied from interface: `IMultiDeleteInfo`
Returns whether a dialog can be shown or should be suppressed.

Specified by:
  `isShowDialog` in interface `IMultiDeleteInfo`
Returns:
  TRUE, a dialog can be shown

### setShowDialog

public void setShowDialog(boolean showDialog)
Description copied from interface: `IMultiDeleteInfo`
Sets whether a dialog can be shown or should be suppressed.

Specified by:
  `setShowDialog` in interface `IMultiDeleteInfo`
Parameters:
  `showDialog` - TRUE, a dialog can be shown

### isDeleteCanceled

public boolean isDeleteCanceled()
Description copied from interface: `IMultiDeleteInfo`
Returns the state whether delete has been canceled or not.

Specified by:
  `isDeleteCanceled` in interface `IMultiDeleteInfo`
Returns:
  TRUE if delete canceled; FALSE in all other cases

### setDeleteCanceled

public void setDeleteCanceled(boolean deleteCanceled)
Description copied from interface: `IMultiDeleteInfo`
Sets the state whether delete has been canceled or not.

Specified by:
  `setDeleteCanceled` in interface `IMultiDeleteInfo`
Parameters:
  `deleteCanceled` - TRUE, if delete canceled; FALSE in all other cases

### getNumber

public int getNumber()
Description copied from interface: `IMultiDeleteInfo`
Returns the number of elements which are selected for deletion.

Specified by:
  `getNumber` in interface `IMultiDeleteInfo`
Returns:
  the number of selected elements